Bug 1028411 - Make client side Connection refused error TRACE
Make client side Connection refused error TRACE
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.0
Unspecified Unspecified
low Severity low
: ER3
: 6.5.0
Assigned To: Galder Zamarreño
nobody nobody
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 06:45 EST by Michal Linhard
Modified: 2015-06-23 08:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-23 08:24:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3691 Minor Resolved Make client side Connection refused error TRACE 2017-12-07 02:12 EST

  None (edit)
Description Michal Linhard 2013-11-08 06:45:04 EST
see https://issues.jboss.org/browse/ISPN-3691

error message example:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/RESILIENCE/job/jdg-func-resilience-dist-4-3/97/artifact/report/loganalysis/client/categories/cat10_entry0.txt


The issue here is that these "Connection refused" problems are retry-able, so the client log shouldn't contain error.
Maybe only some info level message about failing over to different node. But that's actually already reported by the INFO level messages about the topology changes
Comment 2 Michal Linhard 2013-11-21 05:35:50 EST
still in 6.2.0.ER4
Comment 5 JBoss JIRA Server 2015-04-27 12:23:03 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-3691 to Resolved
Comment 6 Galder Zamarreño 2015-04-28 03:35:36 EDT
I've backported the fix to 6.5.x and changed the version of this BZ.

Note You need to log in before you can comment on or make changes to this bug.